commit 4bc3e1f01864f09ce87b8eba9b1970ea3715375c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Aug 21 22:34:59 2014 -0700

    xfs 1.1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 899268224e98d2c660839a08d70166543d8e0a51
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 11 18:40:27 2014 -0700

    Add subdir-objects to automake options
    
    automake 1.14.1 is asking for it:
    
     warning: possible forward-incompatibility.
     At least a source file is in a subdirectory, but the 'subdir-objects'
     automake option hasn't been enabled.  For now, the corresponding output
     object file(s) will be placed in the top-level directory.  However,
     this behaviour will change in future Automake versions: they will
     unconditionally cause object files to be placed in the same subdirectory
     of the corresponding sources.
     You are advised to start using 'subdir-objects' option throughout your
     project, to avoid future incompatibilities.
    
    and repeating for every source file:
    Makefile.am:35: warning: source file 'difs/charinfo.c' is in a subdirectory,
    Makefile.am:35: but option 'subdir-objects' is disabled
    
    This quiets it, and brings us into line with the future state.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a3498cecb300d20ddaab033a8dbda72df52a8b3b
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sun Apr 6 14:41:56 2014 -0500

    Fix CFLAGS and LDFLAGS for Cygwin/MinGW
    
    As in xserver, FD_SETSIZE must be overridden due to a too-low default,
    and symbols must be exported for compatibility with the shared libXfont
    stub handling on these platforms.
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1c8459eafc04997751ae3d200d0ec91e43e19b5b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d353fc875c534c1efeaeb5185b3088f52d266882
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 79db3095004c912850455bddfc91bb0991ff6c75
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 23 23:01:51 2014 -0700

    Add -version option to print program version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f25c51fba6c7a08748892050c9db78e911e80ede
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 23 22:55:53 2014 -0700

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9298ede3e9b9a4707d91a460f2f9e91aef23d6c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 22 23:21:18 2014 -0700

    Delete XpClient stubs
    
    Xprint support stubs were required for libXfont prior to removal
    of Xprint support in libXfont commit e1927f80deabe in 2009, but
    are no longer needed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9ca90f04e43545dd0ab4f2f580e1c7a32139936d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 22 23:11:48 2014 -0700

    Move EventSwapVector from extenst.h to difs.h
    
    Fits in better with other swap vectors there
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 03bf9d280c88b15161defd305ab06920bacb26a9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 22 23:05:42 2014 -0700

    Delete unused extension code
    
    No extensions were defined, but the code was ready for them, just in
    case someone came up with one.  If someone ever does, they can restore
    from git history or an old tarball - until then, less code for us to
    maintain & worry about checking for proper encoding/decoding of protocol.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca9663adce2a6e477fd92429e6e64bf8665998ef
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 20 22:51:15 2014 -0700

    Replace fsalloc(strlen) + strcpy with strdup
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0c2c5520eef72b851aef245e4d5209087e824385
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 20 22:39:40 2014 -0700

    Convert remaining sprintf calls to snprintf
    
    Removes a bonus unchecked strcat() call as well.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 51970b9a6f51fdb23ccdd566b48594aeb593eb11
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 20 22:04:21 2014 -0700

    unifdef -USABER
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b240bc3633a56db6dbd0b1c8fa465b186814f1b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 20 22:01:29 2014 -0700

    unifdef -UNOTYET
    
    Mostly removes resource class code copied from the X server resource
    handling code and never used.  Also removes reset on last client
    disconnect code (similarly copied from the X server and not used).
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 659e9deafa76bb7feab16afc848392536361c92b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 16 15:33:56 2014 -0700

    Only call SnfSetFormat if libXfont is built with SNF support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 013df6f7d4ad0f3f2a74993733fc62ab67ffd484
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu May 8 19:28:28 2014 +0200

    Delete unused CopyISOLatin1Lowered function
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 62daf761ea5e7c810d305c84426a8769db785979
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu May 8 19:28:27 2014 +0200

    Use the register_fpe_functions() function from libXfont
    
    Instead of individually registering support for font files and font
    servers, use the libXfont-provided register_fpe_functions() which will
    do the right thing (as of 1.4.2) depending how libXfont was configured.
    
    This should let xfs run against a libXfont configured with --disable-fc.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c6bb161dcb391977d353dc1c9d2b7d10179a20d4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 24 23:29:13 2014 -0700

    Don't abort() just because we found more names than client requested
    
    Too many fonts is no reason to drop everything, dump core, and exit.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2c7945278c8f5b7c70b0ef12b4024caa43ac152e
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 29 13:14:22 2014 -0800

    Warning fixes.
    
    XFS replicates quite a bit of X server infrastructure so that it can
    share libXfont. Many of those shared functions are declared in shared
    font header files (either fontsproto.h or fontmisc.h). This patch
    removes duplicate definitions from the XFS header files and makes sure
    the shared header files are included in the right places to get the
    functions declared before being defined.
    
    Of course, some of those function types have changed, in particular
    CopyISOLatin1Lowered now takes a const char * source parameter.
    
    This patch also stops re-using the 'port' variable in
    GetInetdListenInfo when fetching the ReopenInfo. That's not strictly
    necessary here, but will be useful when the Reopen API in libxtrans
    changes to take a constant parameter.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b7cd80d37de51311e4cbf73dc9cdf231c5352bb1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 00:10:50 2013 -0700

    Remove CRAY/WORD64 support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 37df336745b23a7394a97e93ffe8944376d194db
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 24 22:34:36 2013 -0700

    Require ANSI C89 pre-processor, drop pre-C89 token pasting support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a52114915c0fadfbbdd81049d5e940720868f44e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 12 18:45:28 2013 -0700

    xfs 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b736a278a574a0f5f24c207478974351573427bc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 22:50:11 2013 -0800

    Remove unused server cache functionality
    
    We initialized the cache & reset the cache, but never put anything in it.
    (Unlike the FontPatternCache provided by libXfont.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 21e479609b3529ce24e6139d1208dfe4f9040891
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 22:30:49 2013 -0800

    Convert Reply initialization to use C99 struct initializers
    
    Much like we did for the X server, lets the compiler handle filling
    in the entire struct, including zeroing out padding bytes.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e77aa8b02f3f95a312a755bead400e1dd6e7fc45
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 22:27:02 2013 -0800

    Delete unused/empty FreeFonts() function
    
    Had no body and no callers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 43dd1a904a17d6cbcef6d6728b192eae858b642f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 22:22:09 2013 -0800

    Make FontWakeup functions be static to fonts.c
    
    Only called from other functions in fonts.c
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b6404f5855b7a38ad567c51b916646c3a085b419
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 21:52:38 2013 -0800

    Convert UseFPE & FreeFPE into static inline functions
    
    Comment suggests making them a macro, but since they're only used in this
    file, might as well let the compiler choose how best to optimize them.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d7558028f93ba8d068ca9f0c5638268f2063c944
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 21:38:40 2013 -0800

    Delete unused function CopyCharInfo
    
    Can find no record of this being used in current git repo (back to X11R6.6)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e46193d3bb4b7bd52f4dfbccaf5efd4525d97103
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 19:28:06 2013 -0800

    MakeAtom: get rid of unnecessary casts
    
    strncmp & strncpy expect an unsigned (size_t) argument, so don't take our
    unsigned len and cast it back to a signed int, because that makes clang sad:
    
    difs/atom.c:92:44: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
                comp = strncmp(string, (*np)->string, (int) len);
                       ~~~~~~~                        ^~~~~~~~~
    difs/atom.c:118:34: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
                strncpy(nd->string, string, (int) len);
                ~~~~~~~                     ^~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5ac8e2b0aabd61639acee43ac0b9794a65f09594
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 4 18:33:54 2013 -0800

    unifdef -U__UNIXOS2__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ed5cdb85b307ca1844b337b50fb49108d9d4b6e1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 4 18:32:06 2013 -0800

    Remove old OS2 linker file, xfs.def
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d27fea63c95f98b09f8242db71423f959a1665ba
Author: Arvind Umrao <arvind.umrao@oracle.com>
Date:   Thu Aug 23 16:55:18 2012 +0530

    Revert of ac59cccf8bc1ae3d41e0608f131b5eb888f9362b
    
    xfs service will go to maintenance status after running fsinfo.
    NULL is passed to socket layer causing crash.  It was missed that
    it also gets passed to ReopenCOTSServer which attempts to strdup
    the port string without checking if it's null.
    
    Signed-off-by: Arvind Umrao <arvind.umrao@oracle.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ef3f230bc13a15c2cca2cb974de12d6d861aebdf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 2 10:19:15 2012 -0800

    Require libXfont >= 1.4.5 to avoid prototype mismatch errors for MakeAtom
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 7ec5d8d1a7adfd9b844fa750c319189a426466d5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 28 22:33:44 2012 -0800

    xfs 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 03b4a543a812b14a565a92ac691cdc0f550e95d1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 30 18:21:30 2011 -0800

    Call malloc, not xalloc
    
    One call in xfstrans.c used xalloc - everything else already had malloc.
    Fix this so it won't break when Xtrans stops defining xalloc to malloc
    for us.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1c7f1cdefc1c256cd24d4b793c710c60870ae942
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 22:42:51 2011 -0800

    Use config.h for autoconf output now that there's no conflict
    
    Now that os/config.h is gone, no reason to special case and have
    xfs-config.h for the autoconf generated header.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit e2a18c2fc203d094b2e975cf9b316528b9feaaa8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 22:38:08 2011 -0800

    Move os/config.h into os/config.c
    
    The only file that needed the only remaining definition was config.c,
    so there's no point keeping a header file around for a single #define
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 9de423ba5997e7cdb131f4bbdec2e676fa42c3e0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 22:33:24 2011 -0800

    Fix printf format errors found by gcc now that it can check
    
    Fixes:
    os/config.c: In function ‘config_parse_nameVal’:
    os/config.c:417:5: warning: too few arguments for format
    os/config.c: In function ‘config_parse_int’:
    os/config.c:458:6: warning: too few arguments for format
    
    Requires passing parm arguments around in order to provide parameter
    names with problems in the error messages
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 22968fe5dd9e83ea39c095fd74bbf518ed1e51f0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 22:27:00 2011 -0800

    Make CONFIG_ERR_* values be strings instead of indexes in ConfigErrors array
    
    Allows gcc to check printf format strings instead of just giving warnings.
    Since these #defines are only used in config.c, define them directly there,
    instead of in the config.h header that no one else includes.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f8224be41700ccf7d639bd9a10818a45b10bc63a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 20:05:49 2011 -0800

    Constify string argument to MakeAtom
    
    Matches what's already been done in xserver and libXfont
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ac59cccf8bc1ae3d41e0608f131b5eb888f9362b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 25 12:12:14 2011 -0700

    Don't pass a static string to TRANS(GetReopenInfo)
    
    It never reads the value passed in, just overwrites the pointer,
    and gcc -Wwrite-strings complains about assigning a constant string
    to a non-const char*.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cb8c4d800cc237c9ecaebd7af91ff26a311ac310
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Sep 22 09:10:10 2011 -0400

    xfs-design: add missing legal text for Copyright holder
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fd9d549b9e480826f8d3a22665a26977c573c0c4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 20:33:36 2011 -0700

    Add _X_NORETURN to declarations of functions that exit
    
    While you might think FatalError() also should have _X_NORETURN, if
    you add it, you will find that gcc warns you that it does indeed
    return when built with syslog support.   Why syslog makes all fatal
    errors become non-fatal is an excellent question to ponder...
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cee4aafcd5ebef34cae02f2215663df6c8551a20
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 19:36:02 2011 -0700

    Fix warnings about mismatched printf arg types
    
    Mostly from types defined as long or unsigned long which we tried to
    print as normal ints.
    
    difs/cache.c: In function `CacheFreeMemory':
    difs/cache.c:371: warning: int format, different type arg (arg 2)
    
    difs/resource.c: In function `AddResource':
    difs/resource.c:304: warning: unsigned int format, different type arg (arg 2)
    difs/resource.c:304: warning: unsigned int format, different type arg (arg 3)
    difs/resource.c:304: warning: unsigned int format, pointer arg (arg 4)
    difs/resource.c: In function `FreeResource':
    difs/resource.c:410: warning: unsigned int format, different type arg (arg 2)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8b426f8a15b5f2e6268438d2e0505fdbf8c64aeb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 19:11:53 2011 -0700

    Add _X_ATTRIBUTE_PRINTF to error reporting functions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c57e65406a7447930f701a319ba518acf9b4b5d3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 19:10:04 2011 -0700

    Fix gcc -Wwrite-strings warnings for initialization with string literals
    
    Many warnings of the form:
    os/config.c:92:5: warning: initialization discards qualifiers from pointer target type
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 12463ed04068716ef8e9cf53eddaf8e78d0688dd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 19:23:30 2011 -0700

    Remove dependency on libFS, the client-side library
    
    xfs doesn't include <X11/fonts/FSlib.h> nor call any functions from the
    library, which is not surprising, as that's the library containing the
    client-side code for connecting to a font server such as xfs.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit ece2db504981f95bb1766d5a95ee8558bd95da46
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 12 11:08:10 2011 -0400

    docs: use the &fullrelvers; entity to set X11 release information
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 074374e0b94b3ff7aa09966d01691a98e2467ee4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Sep 9 13:00:50 2011 -0400

    devbook.am: maintenance update from docbook.am
    
    The developer docs are generated from a subset of docbook.am
    which is sometimes updated.
    
    The one difference is the embedded css style in the HEAD element.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d8c17fc48a02d9c21d55514c92ec72a03ba581a8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Sep 9 13:30:55 2011 -0400

    config: fix distcheck for config.cpp
    
    The location of the file is in srcdir.
    Problem introduced in commit 68bf267fa
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3024e122b6d256060696ef0ba92c794a8106bc8f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Mar 2 14:20:10 2011 -0500

    doc: use common makefile for developers documentation
    
    The user/specs docs now have external references support.
    Developers doc are not installed so they do not participate.
    However, using a similar makefile shared amongst developers
    document reduces maintenance and is forward looking.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fe05c6c0c5abc7708f10c7af3929b1a26dde60c8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 7 18:22:51 2011 -0800

    resync font-path checking with xserver's configure.ac
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>

commit 68bf267fa4080e4a85df91e4a196bb701ee921d1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 7 18:19:56 2011 -0800

    Make config.cpp rule compatible with Solaris make
    
    Solaris make doesn't support $< in direct target rules.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ea30eb37f4402cf09db8e1dc8b999d3bf7b7d66f
Author: Martin Jansa <martin.jansa@gmail.com>
Date:   Sat Nov 20 08:47:06 2010 +0100

    config: look for fontpath.d only if --with-default-font-path wasn't specified #31290
    
    * AC_CHECK_FILE doesn't work when cross compiling
    * Fixes https://bugs.freedesktop.org/show_bug.cgi?id=31290
    
    Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 070fc985a8048e3a126690c5e64f0dca6418806b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 9 11:19:31 2010 -0500

    config: HTML file generation: use the installed copy of xorg.css
    
    Currenlty the xorg.css file is copied in each location
    where a DocBook/XML file resides. This produces about
    70 copies in the $(docdir) install tree.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 995c9b23864e0207cf4c01cf442e49cc63817fdc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 15:39:30 2010 -0700

    xfs 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bea7df7f194e3dab6f1826477a8accd8e249cbee
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 15:36:51 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 293b8b9163083e7d8adfde752a29e25436b927a1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Aug 5 08:02:40 2010 -0400

    Using the C preprocessor to generate "config" is no longer needed.
    
    Reuse and adapt the man makefile using sed in a seperate directory
    Replace XCOMM IMakefile comment with #
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9ad39a265b093793a0d9f009018f99f3fde596bf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Aug 5 13:31:57 2010 -0400

    fontcache: remove unreachable code around FONTCACHE define
    
    Unlike the xset app, xfs has never defined or included a header
    that defines FONTCACHE, even when compiled with libXfont 1.3.3
    which uses fontcacheproto and defines FONTCACHE in its config.h.
    
    This will allow further simplification when generating config.cpp.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ec0bcb3daf87368ff22be65f66c70dbb7ab48d32
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Aug 4 16:10:26 2010 -0400

    xfs.man: use sed and standard makefile
    
    Remove the complexity of using the C preprocessor legacy
    from IMakefile.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 884dc954c93e49a31047b84dcf01e0c3e40e08f6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Aug 4 15:24:37 2010 -0400

    xfs.man: replace IMake XCOMM comment with #
    
    There is no need to replace it using sed everytime.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 980f905db43fd43cd61a95c4286a1b26658c2d0c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 3 17:13:20 2010 -0400

    doc: use xorg stylesheet and standard makefile
    
    The recent conversion to DocBook XML has created an infra-structure
    to apply a common stylesheet and build support.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f371c30202705f949d7a8ed04e4039d69f04fcf9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 3 13:47:10 2010 -0400

    doc: use HAVE_XMLTO_TEXT for users without a text browser.
    
    Used to conditionally generate text documentation.
    xmlto for text output requires either lynx, links, or w3m browsers
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 31917b20fe3d83ca51c460fdd66a7d61f2670db3
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Jun 26 17:43:06 2010 -0400

    Fix segfaults in xfs
    
    This addresses possible remaining segfaults which can occur randomly
    in xfs, mostly a follow up on bug 22084.
    
    1. Make sure ListenTransCount is reset to 0 when ListenTransConns is
       freed to avoid a segfault in CloseSockets() when a “drone server”
       terminates.
    
    2. ffs() is still used in various places on fd_mask whereas the
       fd_mask can be greater than an int.
    
    3. replace (i << 5) with (i * (sizeof(fd_mask) * 8) to be more
       64bit safe
    
    Cf: https://bugs.freedesktop.org/show_bug.cgi?id=28691
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 7caf7298a5088c8afab4d0c8146de2faca2e2baa
Author: Jeff Smith <whydoubt@yahoo.com>
Date:   Fri Mar 19 13:48:08 2010 -0500

    Clean up some pointer signedness warnings
    
    Signed-off-by: Jeff Smith <whydoubt@yahoo.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3660bdcaea6915d9c2ff90b96a3986cb5379ee5d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Mar 31 16:36:00 2010 -0400

    config: update and relocate AC_DEFINE_DIR macro
    
    Remove deprecated acinclude.m4 macro container file
    Use separate macro files as per autoconf recommendation
    Use the latest macro from GNU (ax) which replaces
    the non-gnu version (ac)
    This preserves the Autoconf macro AC namespace.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8c220fa266b9c3ecae551e1c9e422a257805e80d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Mar 31 15:57:45 2010 -0400

    config: AC_USE_SYSTEM_EXTENSIONS must be before any compiler stmt.
    
    Reorder the initialization section at the top of the file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 73ef42c6710796556bcd2ec24fdf30addb86fc76
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Mar 11 09:58:37 2010 -0500

    doc: specify 0.0.20 as the minimum version for xmlto
    
    Older versions do not have fop backend.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 23a8afed5c782a7a4680163c96e51016f6d2bb54
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Feb 9 17:36:57 2010 -0500

    doc: use $(mkdir_p) rather than $(MKDIR_P) due to automake 1.9.6
    
    $(MKDIR_P) is not defined in automake 1.9.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7b3d832e84c455595077f68cea482d3886a8e49e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 29 14:23:29 2010 -0500

    doc: use new macros to control doc generation
    
    Namely XORG_WITH_FOP for the fop backend (pdf) and
    XORG_ENABLE_DEVEL_DOCS for the generation of all docs
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6fdf88356387cbac04b553f04b79cc00ab45235a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 22 09:18:21 2010 -0500

    doc: use fop backend to convert xml to pdf
    
    The default is passiveTex which does not work.
    Add XMLFOP and HAVE_XMLFOP to skip pdf if fop is missing.
    
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 09b4378509ecc821635eda398aae5af222f02d73
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 20 12:09:58 2010 -0500

    config: replace custom code with reusable macro XORG_WITH_XMLTO
    
    XORG_WITH_XMLTO provides additional functions like a configure
    option which allow platform builders to control the usage of
    the xmlto program.
    
    This is a requirement from platforms that do not have such doc tool.
    
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0bd527a8ad4bf2c047d4b9ac2e9a311d107eae8f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 22:16:39 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e32c9704a5fd800537f3549528aa599d91955e3d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:53 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit f934b6a48112e4feb15ba6faaa03903918d20005
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 1c0e6b11af1982f68c521e5b0cfd87c975f54d72
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 6cf397b9685b5022477138386b349d8b95d853ac
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 756cb37a07af13c31a13c8882fe4abdd1b32da6a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 9 23:21:59 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit dc057e158e778c194f2680f2083f42145683d020
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 7 22:46:39 2009 -0700

    Use font-utils 1.1 macros to find default font path
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit eccddc3753e97b0b47c68e59b6650eb314ef5402
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jun 18 14:00:28 2009 -0700

    xfs 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 7fc0d81f660eaec16f10ebdff6367da7bcc204f9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jun 18 10:29:39 2009 -0700

    remove SCCS ids
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit be599b68334d2dea71e12f478e3201d3087ddf56
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 17 18:56:09 2009 -0700

    Add --disable-devel-docs flag to configure to skip xfs-design doc conversion
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 93f75eed7b7dd1208d6d24ec065dfd1518efa599
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 17 17:29:16 2009 -0700

    Update README and COPYING files and man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 66c3c3e95b0faa005d2a5cdcd196cdc6de027d16
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 17 16:49:20 2009 -0700

    Add support for starting xfs from inetd
    
    Adds -inetd command line flag to be used when starting via inetd.
    Assumes inetd is set to "wait" mode, and will thus let xfs, once
    started, deal with waiting for & handling all further clients,
    until xfs is killed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6edc36cf965501149889ebb2a8afe61330f895c5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 17 16:47:04 2009 -0700

    Add --enable-syslog (on by default) to configure for use-syslog option
    
    Oops, guess we missed providing a way to #define USE_SYSLOG in the
    Imake -> autoconf conversion.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 0f3597e7f313bbc231817172b9786cbfe2e974d0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jun 16 20:57:43 2009 -0700

    Bug 22084: XFS server crash with many dropped connections
    
    http://bugs.freedesktop.org/show_bug.cgi?id=22084
    
    Fixes three crashes I hit investigating this report:
    
    1) Replace ffs() with a version that handles fd_mask sized arguments instead
    of int sized ones, so we don't get stuck in 64-bit builds when fd bits
    are set past the 32-bit boundary.  (os/WaitFor.c in the X server already does
    this.)
    
    2) Check that the client OsPrivate isn't already NULL before dismantling it
    in CloseDownConnection()
    
    3) Make sure we aren't overflowing the pClientsReady buffer when returning
    the list of clients ready for processing.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c8f86a023411c3697fe86beb4be1fe7fffc7e487
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jun 16 08:16:27 2009 -0700

    daemon(): use configure to see if it exists, FatalError on failure
    
    Matches similar changes to xdm's copy of daemon.c
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 33c5f6836d8233f91b2c3890ef8419894b7a94d0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jun 15 19:32:06 2009 -0700

    Remove leftover includes that should have gone away with c47d3d3795c8d
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 8d5838bb075dc995dcfce5634c6c70be4ecff832
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jun 11 17:12:08 2009 -0700

    Use AC_SYSTEM_EXTENSIONS instead of maintaining _GNU_SOURCE OS list
    
    Bumps minimum autoconf version required to 2.60
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 91c61d56cf6c780db011b8386ce094e11ec5ef42
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jun 11 17:05:24 2009 -0700

    Make sure all source files #include "xfs-config.h"
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6741315a7e839a3c3e8c725e458ec0da5ad3012b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jun 9 13:58:59 2009 -0700

    Add #includes of access.h to clear prototype warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6b8f4459861bda8c2cce70490cca0fe1f7784305
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jun 8 16:22:33 2009 -0700

    Convert xfs design doc from troff/.ms to docbook/xml
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6fad03d2626c568ba9563a1d4d4f7c85f488341c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed May 27 11:07:29 2009 -0700

    Remove include/accstr.h from Makefile.am
    
    Fixes distcheck error introduced by 4b1a9e1a20049fa55f780c8fd4bb9eaba7540712
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 2c37901f2f64a0e188dd42386f6364c0a154f78b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed May 27 08:03:45 2009 -0700

    Move design.ms from xorg-docs/specs/xfs/design.ms to this module
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 95b40e0235109d4b963d385008bb73636f89aead
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue May 19 01:30:52 2009 -0700

    Update AC_DEFINE_DIR to latest version from Autoconf Archive

commit 3c2390c461f15386a8e2676572c520f01e9c600f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue May 19 01:20:14 2009 -0700

    xfs shouldn't re-create the log file every time it clones
    
    Port to current xfs of a part of the fix for Sun bug 4302139:
    patch 108117-01 removes error-file configuration option for xfs
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 346a316f5e39ca6d99b98372914294988e79758d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue May 19 01:14:11 2009 -0700

    Simplify OPEN_MAX #ifdefs down to POSIX standard sysconf(_SC_OPEN_MAX)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a1583d53a44f65d0930282e193365f5605bde547
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue May 19 01:10:06 2009 -0700

    Crash in CloseSockets() after StopListening()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit d78622007b9102d1818f2c73a00670351f026262
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 18 21:28:46 2009 -0700

    Remove more #if 0 bits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 4b1a9e1a20049fa55f780c8fd4bb9eaba7540712
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 18 21:28:03 2009 -0700

    Remove unused HostAddress list manipulation code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b0c41c110bb05947fccc9a6228bc3e9badff38c5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 18 21:06:59 2009 -0700

    Convert to POSIX standard signal handling
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c5985b93dd2c96ab9c1cfbfe7881b0f80e349879
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 18 21:05:35 2009 -0700

    Fix definition of WRITES macro for debug messages in os/utils.c
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a97048bd750f2d514dd8bb2959e3bbab4443178e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 18 19:50:07 2009 -0700

    Server miscounts clients who exit before finishing handshake
    
    nClients could go negative since it wasn't incremented until
    ProcInitialConnection, but was always decremented in DoCloseDownClient
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e47728904d50566ec4390829fc9a511e54e9157e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 18 19:17:16 2009 -0700

    Delete #ifdef MEMBUG code
    
    Couldn't build since modularization, since it depended on old memleak code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 02b3a024b151177246e026d05d8e0efe4eda47b4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 18 18:58:46 2009 -0700

    Coalesce PATH_MAX ifdefs into a single copy in osdep.h
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c47d3d3795c8d9152dcfed7b806eab1204830e7d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 18 18:42:18 2009 -0700

    Remove X_NOT_POSIX #ifdefs
    
    Hadn't been compiled since modularization, was previously only used
    on pre-POSIX-1.1990 systems, which are no longer supported by X.Org.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 7ccc50b6a7dd47f89e3b2aff5accaab4cad24a64
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 18 16:53:31 2009 -0700

    Remove #ifdef Lynx code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a1d254a81b5dffd0f706c77e28ec72aff11169f8
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Jan 21 18:02:36 2009 -0200

    Correct all sparse warnings.
    
      All extern declarations were moved from C sources to header files,
    with the exception of the new prototype for SnfSetFormat() as it
    is not available on installed libXfont headers.
      difs/difsutils.c:CopyISOLatin1Lowered() had it's arguments sign
    changed to avoid conflict with libXfont's X11/fonts/fontmisc.h
    prototype.

commit f7f149457581fa819c88e1958e7c154a6d9824fa
Author: Ademar de Souza Reis Jr <ademar@mandriva.com.br>
Date:   Fri Dec 19 18:43:53 2008 -0800

    Bug #11567: Fix handling of invalid, non-path FPE
    
    FPE's which are not valid and are not in the form of paths cause a
    failure on the parser which invalidates all subsequent FPEs. If
    the invalid FPE is the first on the list, this will cause a
    fatal-error and the server will abort.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=11567
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ffbdfc9bbe8a38a5658197a95e0cf5266ef51604
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Dec 16 16:27:30 2008 -0800

    `ReadConfigFile': 'fp' might be used uninitialized in this function
    
    In the unlikely event that default_config_files is completely empty,
    fp would never have been set to NULL to trigger error check at line 363.

commit 158e7f062a21ea4abfe64aa976735804f00bc3b5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Dec 16 16:24:37 2008 -0800

    Clear many sparse warnings: Using plain integer as NULL pointer

commit 2b529e155a2a414cc225d8fd8014ff6c2e8231cb
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Dec 5 08:57:11 2008 -0800

    Use XORG_CWARNFLAGS & XORG_CHANGELOG from xorg-macros 1.2

commit cbd9f1b5b36789474788ca6ff60ccbaee4969ff1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Dec 5 08:54:43 2008 -0800

    Clear warnings about redefining command-line -D values in xfstrans.c

commit b02fa1750fa20cb1784a16cd2402a303146f8c99
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Dec 5 08:51:18 2008 -0800

    os/daemon.c:100: warning: old-style parameter declaration

commit 302e3fcf221843d42141f73277911dfab9428d71
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Dec 4 18:01:17 2008 -0800

    When byte swapping authentication data, try to workaround bad X servers
    
    Port/reworking of fix for Sun bug 4783714 ("fix for 4764193 [CERT CA-2002-34]
    breaks cross-platform font service") to try to figure out whether the
    authentication data follows the FS protocol spec or the way the X11 Sample
    Implementation has worked for years, and handle it either way.

commit 3fe28a31a2974287acc182c7c9bfd68d94ea6292
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Dec 4 14:45:17 2008 -0800

    Don't overcalculate size of authentication packets with no data
    
    If a font server client wasn't providing any authentication methods,
    the code was adding 4 to the packet length, then rejecting the packet
    as having more data than the length field said - but the X server
    side wasn't actually putting those 4 bytes into the packet anywhere.

commit c1fda34275583b7ae8d2b1b749bd362443874bda
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Dec 3 19:52:16 2008 -0800

    Use cpp instead of sed for processing man page & sample config file
    
    Make fontcache entries in sample config only appear #ifdef FONTCACHE

commit c66a46e35ae40a23ad9acee838ab42300eddbd67
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 6 21:19:27 2008 -0700

    Use configure to determine font path to put into xfs config file
    
    Uses --default-font-path if specified, otherwise checks for
    /etc/X11/fontpath.d, otherwise uses default path copied
    from xserver configure.ac

commit 8b3e40688a9b829eee56d8b2aabadc4093227da6
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Fri Jun 13 15:37:13 2008 -0600

    remove RCS Ids

commit 3e6b854aa4ce0636fd63f63afd04d68b28c0fa68
Author: Brice Goglin <bgoglin@debian.org>
Date:   Fri May 23 22:29:50 2008 +0200

    xfs 1.0.8

commit 8144d75d4e71d8ae0493043f49fe9925f8099244
Author: Brice Goglin <bgoglin@debian.org>
Date:   Fri May 23 18:53:55 2008 +0200

    Fix nasty typo in SetConfigValues
    
    Nasty typo introduced in 4a163a076e90808fa47ade1504fd0f2893bdc306,
    causes xfs to crash on startup.
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=482551

commit 9666b767a1f565bae06e84aacb53a1d9b7747f90
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 14:18:01 2008 -0400

    xfs 1.0.7

commit 4a163a076e90808fa47ade1504fd0f2893bdc306
Author: Petter Reinholdtsen <pere@hungry.com>
Date:   Fri May 16 20:27:48 2008 +0200

    Return an error to the log instead of segfaulting
    
    Return an error to the log instead of segfaulting
    if catalogue line is omitted from config file.
    
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=148650

commit 6188cb8538b713296266238b7b780718fcec881b
Author: Stephan A. Maciej <stephanm@datenfriedhof.net>
Date:   Mon Mar 17 18:00:49 2008 -0700

    Allow font server to start with pid longer than 5 digits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 24d4172a71850299c797f887d3027c32068763d0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jan 14 19:32:09 2008 -0800

    Fix --with-default-config to work with more than two config files

commit 8337bcb5650581874510514cce7d9df89db54d5c
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Mar 6 17:06:25 2008 -0500

    xfs 1.0.6

commit f253f56e9ff33e7424317be7fa54a60eec4053a8
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Feb 5 21:57:21 2008 +0100

    Install config file in $(sysconfdir) by default instead of $(libdir)

commit 71c2acc3d0fecc5c6c3d63cfae8f38ee2ce72d9d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jan 9 16:08:54 2008 -0800

    List multiple config files in man page if specified in --with-default-config-file

commit 5a5d003bfc400471693f88a16d2ed6ed98ca8111
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jan 7 18:04:36 2008 -0800

    Add xfsinfo & fslsfonts to See Also section of man page

commit 9d19ae3b4d6fcaa01bcb88b9fde644aec3f191b1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jan 7 15:08:33 2008 -0800

    Remove another extraneous + from man page

commit c398fae4cf2119f467970a0af4b408948aff12ef
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 4 15:56:31 2008 -0800

    Add hooks for checking sources with tools like sparse & lint

commit 04e94c3d22e6115f40bcced43e78a336613789a9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 4 15:55:53 2008 -0800

    Remove duplicated section & extra + in xfs.man

commit bc3d7ac63b801b22214ce5d04fa0a585a6223fee
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 3 17:12:58 2008 -0800

    Rename autoconf-generated header to xfs-config.h to avoid clash with os/config.h

commit c0b33d044edc89ec882ac425c91a79cd738167a4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 3 16:47:59 2008 -0800

    Add --with-default-config-file configure option
    
    Allow specifying multiple files, using the first one found at runtime.

commit c7b49319ac3ba99002074021f0cd493aa122439a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 3 13:58:18 2008 -0800

    xfs.man: Replace Speedo with TrueType, fix typos

commit cfbf2d673d0b764f6f5aa3d802c4796c94b407d0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 3 13:10:01 2008 -0800

    Use PACKAGE_VERSION_* to set default VENDOR_RELEASE version string

commit 33f185cc94d11279aa3c08ebebf8461225dad4be
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:37:15 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit ec8bfac7c5ab048d86bd60ec97526300ef41d2a9
Author: David Nusinow <dnusinow@debian.org>
Date:   Wed Oct 3 21:37:46 2007 -0400

    Perform massive manpage cleanup and reformatting.
    
    Add "FUTURE DIRECTIONS" section.
    
    This patch by Branden Robinson, forward ported by David Nusinow and
    probably a few others.

commit 0bd59b5938059c7ff5501b928ebe80ecea27f008
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Mon Oct 1 21:55:52 2007 +0200

    Bump to 1.0.5

commit ec3ca8fd4c599f41e6f977ce912805ac8ac74f32
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Mon Oct 1 21:53:41 2007 +0200

    Fix for heap overwrite in swap_char2b() CVE-2007-4568.

commit 380fb68316f13012ff7cb2ac4addc2626fa2dad0
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Mon Oct 1 21:51:40 2007 +0200

    fix for integer overflows in build_range(). CVE-4568.

commit 63596c80ec1c406a35780f45ea43d8004b020869
Author: Ademar de Souza Reis Jr <ademar@mandriva.com.br>
Date:   Wed Jun 20 13:31:40 2007 -0300

    Document catalogue:<dir> feature

commit 2037244c4a758d4010da55128fc2b7902f2bc8ad
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Nov 30 19:55:47 2006 +0200

    bump to 1.0.4

commit 311483ff1bea8ae31671b5bd6033a27dd0f315a4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Nov 20 10:58:35 2006 -0800

    Add *~ to .gitignore to skip emacs/patch droppings

commit 2e81fe0c9eeac502e19d7f9696e29d4847f8a8e0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Nov 20 10:58:10 2006 -0800

    renamed: .cvsignore -> .gitignore

commit 19bc6ee23c7137c8d182738e850621586ba43659
Author: J.P. Larocque <piranha-fdo-bz@thoughtcrime.us>
Date:   Mon Nov 20 10:57:28 2006 -0800

    Bug 7317: xfs doesn't build on some GLIBC based systems: _XOPEN_SOURCE undefined
    
    Bug 7317: <https://bugs.freedesktop.org/show_bug.cgi?id=7317>

commit 20014d1c8fa416306f5be60d4cd225cc6132d532
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 17:51:32 2006 -0400

    Bump to 1.0.3

commit d68ce54e725aa332c0c74e1aa2e7e59b079fb5fe
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Mon Sep 25 18:01:48 2006 -0400

    Substitute config dir into man page.

commit ced4cd44bd177b9579c457a2f108a09e8bbb7eb9
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Apr 26 23:40:40 2006 +0000

    Bump to 1.0.2

commit 099e52769a0601bca9d731209465d6205cd63fc9
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Mar 14 03:41:28 2006 +0000

    Check for alloc error was reversed, causing memory leak, NULL pointer
        dereference (if fsalloc actually failed), and failure to rebuild cache.
        (Coverity ids #560 & #127).

commit 03a3384fe8985419d8ec9507458a8808dafa2758
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:50 2005 +0000

    Update package version for X11R7 release.

commit c34fccfa706811aa2d177afd07cc96e7094b10ef
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:44 2005 +0000

    Stub COPYING files

commit 7cd4bd5a4044fbbcd7b05b5d4c11542353d85e52
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:07 2005 +0000

    Update package version number for final X11R7 release candidate.

commit e9ed66a84780a87d1f102b3960007aba9d7d2ed7
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:22 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 7d6e0e69cde9b41061eb591d418d3ceab4e5f9a3
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:23 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 932e1834195eb85b291b29bac4719cd02830dcc4
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:42 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 02640671a2ef2c5240d87f96f1b3518ac0026a6d
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:00 2005 +0000

    Another pass at .cvsignores for apps.

commit c23ac3c68be607d8b050b4a50bfe441737c9fed8
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:52 2005 +0000

    Add/improve .cvsignore files for apps.

commit e3edf1412eacc3efb3bc6d949406474e1f4aacff
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:36 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit dc896313209b1fc91cfd8f9ed15d7a26d4cdb450
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:09:21 2005 +0000

    Update package version number for X11R7 RC2 release.

commit af24389ccccdf82a8224299f808acf07443ce98b
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:33 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit 75cca7507a37ea2e65a7ff541560047b54da369e
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:05:18 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit 3bca148d9c5d9af5af31c6d4ce6a731fc46ff3b3
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:54 2005 +0000

    Update package version number for RC1 release.

commit be42526a6087c63f618bfeb13c7f3b46068528fe
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:22 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit bc6cbdd5925ffc52abbf0da1834405b8fbe49ee1
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 22:28:18 2005 +0000

    Add 's|XCOMM|\#|g' to sed rules for man page processing

commit 91cc5c0c1d36059e6e0792a80b4443b8bb6c0c14
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:45 2005 +0000

    Use sed to fill in variables in man page

commit 68de46d260d44841aab5ecce9d31cf24ccd533f8
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:29 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 216412edcbf15a9ae918c2066f93680355fc9b0b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 30 19:32:32 2005 +0000

    Add -D flags to clear more compiler warnings (Stefan Dirsch)

commit 6890ec2cd680eed48c64f9e91fa4b0c8508f4b96
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:34 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 9a118fcc0ce0e202d31fcf579daf0dc03fc2f6bb
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Thu Jul 28 22:43:18 2005 +0000

    Thu Jul 28 18:29:06 2005 Søren Sandmann <sandmann@redhat.com>
    Fix double free when there no valid paths.

commit 9c9f67e12450035b7997c2c3bb3700ea51d8b3d2
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Thu Jul 28 22:28:21 2005 +0000

    Add flags to make xfs actually load fonts

commit fc670eef6a29564aeddcb2e8f6b6a3fdb791b7f5
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Thu Jul 28 20:46:54 2005 +0000

    Create and install a config file Fix xfs DEFAULT_CONFIG_FILE

commit b7901095f14ec2ea00f1cbeb57952957e9f0d5aa
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jul 27 22:48:39 2005 +0000

    Add -D_XOPEN_SOURCE on Linux

commit cedf6178e2c2becfd40a9ed309714d3957ee7d1f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:56 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit f0c7ea00ce16c6f4d7d23fe3f87af335b1bdc591
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 23:29:38 2005 +0000

    x11perf/Makefile.am: xinit/Makefile.am: xvidtune/Makefile.am:
    - Replace $< with portable macro xinit/Makefile.am: xinit/configure.ac:
        xvidtune/Makefile.am: xvidtune/configure.ac:
    - Use more portable cpp invocations for pre-processing files
        xfs/configure.ac:
    - Add XTRANS_CONNECTION_FLAGS so xtrans transport type defines are set
        correctly

commit 2dd92fea669cdd34b15cf75455ca7766b5cf9c93
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 20:52:25 2005 +0000

    Mark variables modified in signal handlers as volatile (part of Sun bug id
        4496504)

commit f638b9c31aab9b90b8b9b4dbea79f8a588037498
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Thu Jul 14 22:40:15 2005 +0000

    Add _BSD_SOURCE to lots of applications - patch from Stefan Dirsch

commit 61c45e7ae8cdcead33392c0a2affc63a00b284c3
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 12 18:49:12 2005 +0000

    Add include files to sources, so it will distcheck

commit 2ac8a668c645746430031f7f2776e98dc0cf0b98
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 12 18:45:48 2005 +0000

    - lib/lbxutil/lbxutil.pc.in: link to lbxutil, not Xfixes
    - symlink.sh: add xedit.h, add xedit/lis/mp directory, add xfs
    - xc/programs/xedit: include "lisp/../xedit.h" instead of xedit/xedit.h
    - Change include of "foo.h" to <X11/.../foo.h> in various places in
        xc/programs/lbxproxy and xc/programs/xfs
    - add build system for xfs
    - add forgotten lbxproxytrans.c file

commit 465a53c5deee64fcdc768b5c8a9123ee56a39dd5
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Thu Jun 9 15:52:02 2005 +0000

    Replace <X11/Xtrans.h> with <X11/Xtrans/Xtrans.h>
    Copy Xtrans.h to exports/include/X11/Xtrans only

commit 2203407e26a173410b8a96368266f0e860381987
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 22 20:49:50 2005 +0000

    Bug #3069: Drop the BuildLowMem hack, it doesn't compile and isn't useful.

commit 9971dd3529c07022231fd722cb593f6609dd9d70
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Mon Jul 26 22:44:25 2004 +0000

    Fix opening of log file with '-user nobody'. Problem reported by Oleg
        Safiullin and Mike Pechkin.

commit 956b25ecaa203291b5abdfc43451ae34da4ebdc7
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:48 2004 +0000

    Merging XORG-CURRENT into trunk

commit 54409026c1afcd67c2d548a9efc606e29d47715f
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:23 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 4b40ae3860584b4c4078941f45c6dfe223d2154c
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:08 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 73d09b90af9e6b5aa389939f913f9f9a826e9269
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:24 2004 +0000

    readding XFree86's cvs IDs

commit 9cd7676755000e0bf926cab806d8a5b10ce8efab
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:07 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 32d7dc13777fee72c185b64bafc64f6525c474c5
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Mon Feb 23 20:35:41 2004 +0000

    Import most of XFree86 4.4RC3. This import excludes files which have the
        new license. If we want to, later we can import 4.4RC3 again and pick
        up the files that have the new license, but for now the vendor branch
        is "pure."

commit 86cae258ef5b7de939d2b4af5669992815145f61
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:09:12 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit 8e1ac4fe2b5d9e31a37469fb462eb728457ccfb5
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:13 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 491f741a1b34f20831a30fa017e422154127d54f
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:22 2003 +0000

    XFree86 4.3.0.1

commit 58396f7f075f465fe9fb7580af16c96ad0a88738
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:22 2003 +0000

    Initial revision

commit db757f1d2a5a951ec26aa4ed64134d8113089fd0
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:53 2003 +0000

    R6.6 is the Xorg base-line
